Werk #12986: apt: Handle Security Updates Line

Komponente Checks & agents
Titel apt: Handle Security Updates Line
Datum 16.07.2021
Checkmk-Editon Checkmk Raw (CRE)
Checkmk-Version 2.1.0i1 2.0.0p8
Level Kleine Änderung
Klasse Bugfix
Kompatibilität Kompatibel - benötigt kein manuelles Eingreifen

Newer versions of the Linux command apt display something like "10 standard security updates" or "3 esm-infra security updates" if security updates are available. Up to now, the corresponding check plugin apt was not able to handle this line. If such a line was present, the service "APT Updates" was not discovered or went stale if already discovered.

This has been fixed.

Zur Liste aller Werks